mia-2dmultiimageregistration
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2dmultiimageregistration

#### Sysnopis:

`mia-2dmultiimageregistration` {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program runs a non-rigid registration based on the given cost criteria and a given transformation model. Other than mia-2dnonrigidreg it doesn't support specific command line parameters to provide the images. Instead the images are specified dirctly when defining the cost function. Hence, image registrations can be executed that optimize the aligmnet of more than one image pair at the same time. Note, however, that all input images must be of the same dimension (in pixels)

#### Options:

-o, --out-transform=(output, required); io

  output transformation. For supported file types see Plugin type: 2dtransform/io

-l, --levels=3; ulong

  multi-resolution levels

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-f, --transForm=spline:rate=10,penalty=divcurl; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register image test.v to image ref.v by using a spline transformation with a coefficient rate of 5 and write the registered image to reg.v. Use two multiresolution levels, ssd as image cost function and divcurl weighted by 10.0 as transformation smoothness penalty. The resulting transformation is saved in reg.vf.

    mia-2dmultiimageregistration -o reg.vf -l 2
     -f spline:rate=3,penalty=divcurl
     image:cost=ssd,src=test.v,ref=ref.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmulti-force | Home | mia-2dtransform